Subject: bug#13594: Planning Emacs-24.4

From: Leo Liu <[email-masked]>
Date: Tue, 19 Nov 2013 10:42:42 +0800

On 2013-11-19 08:33 +0800, Stefan Monnier wrote:
> Fine by me, thank you (I don't like `non-window-ok' either, but again
> I have nothing better to suggest for replacement).
>
>
>         Stefan

I have committed the change use the name no-display-ok. I consider this
bug fixed and will close it in next days. Thank you for the help.

On 2013-11-19 08:54 +0800, Juri Linkov wrote:
[snipped 6 lines]
> A good name depends on how the users will customize it.
>
> Currently display-buffer supports these actions:
>
>  `display-buffer-same-window'
>  `display-buffer-reuse-window'
>  `display-buffer-pop-up-frame'
>  `display-buffer-pop-up-window'
>  `display-buffer-use-some-window'
>
> Then a new action could have a name:
>
>  `display-buffer-no-window'
>
> The existing ALIST entries are:
>
>  `inhibit-same-window'
>  `inhibit-switch-frame'
>
> Then a new property could be:
>
>  `allow-no-window'
>
> And the new action `display-buffer-no-window' could check
> if `allow-no-window' is non-nil then it will return t
> (for which `display-buffer' will return nil to the caller).

Hi Juri,

I am not too sure about those things so I will stop messing with them.
But I am happy to accommodate whatever changes made in this area.

Thanks,
Leo